List Sender Profiles
List the sender profiles available to the account.
List the sender profiles available to the account.
Scope: verify.sender_profiles.read
Query Parameters
limitintegeroptionalMaximum results to return. Defaults to 50 and is capped at 100.
Sample Request
Request
curl "https://api.maileroo.com/v1/verify/sender-profiles?limit=50" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
Returns 200 OK with the sender profiles in data.
Response
{
"data": [
{
"id": "prf_0123456789abcdef01234567",
"name": "Acme login",
"enabled_channels": ["sms", "voice"],
"rate_limit": {
"max": 5,
"window_seconds": 60,
"scope": "destination"
},
"created_at": "2025-01-01T12:00:00Z",
"updated_at": "2025-01-01T12:00:00Z"
}
]
}Errors
Common authentication, rate-limit, and service-availability errors are described in the Introduction.